Subject: Re: [PATCH v3] Support ent:relative_path

From: Junio C Hamano <[email-masked]>
Date: Sun, 06 May 2007 10:35:53 -0700

Johannes Schindelin <[email-masked]> writes:

> On Sat, 5 May 2007, Junio C Hamano wrote:
>
>> Johannes Schindelin <[email-masked]> writes:
>> 
>> >> (a) In a bare repository, I believe 
>> >> setup.c:setup_git_directory_gently() determines the prefix to be 
>> >> NULL.  This means my patch will see ALL paths as absolute, except 
>> >> :../path which will result in an error.
>> >
>> > My point was that it feels inconsistent to take the current path into 
>> > account in one case, but not in the other.
>> 
>> I do not understand your reasoning.  In a bare repository you cannot 
>> even be in a subdirectory to begin with.
>
> Exactly! That is my point. If you can do it in a working directory, but 
> also with a bare repository, I find it highly confusing and inconsistent 
> to have different meaning.

Sorry.  Now you confused me further.  I can do:

	cd Documentation
        git diff v1.5.0 v1.5.1 -- git.txt

Is that confusing, inconsistent and bad for the users?